/*
    Copyright (C) 2001-2002 KSVG Team
    This file is part of the KDE project

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA 02111-1307, USA.
*/

#include <kdebug.h>
#include "SVGTextElement.h"
#include "SVGTextElementImpl.h"
#include "SVGAnimatedLength.h"

using namespace KSVG;

SVGTextElement::SVGTextElement() : SVGTextPositioningElement(), SVGTransformable()
{
	impl = 0;
}

SVGTextElement::SVGTextElement(const SVGTextElement &other) : SVGTextPositioningElement(), SVGTransformable()
{
	impl = other.impl;
}

SVGTextElement::SVGTextElement(SVGTextElementImpl *other) : SVGTextPositioningElement(), SVGTransformable()
{
	impl = other;
}

SVGTextElement::~SVGTextElement()
{
	delete impl;
}
