#ifndef _SVGTESTWIDGET_H
#define _SVGTESTWIDGET_H

#include <qwidget.h>
#include <qobject.h>
#include <kurl.h>
#include "SVGDocumentImpl.h"

class SVGTestWidget : public QWidget
{
Q_OBJECT
public:
	SVGTestWidget(const KURL &url);
	~SVGTestWidget();

private slots:
	void slotGotDimension(float , float );
	void slotRenderingFinished();

protected:
	virtual void paintEvent(QPaintEvent *);
	virtual void resizeEvent(QResizeEvent *);
	virtual void mousePressEvent(QMouseEvent *);
	virtual void mouseReleaseEvent(QMouseEvent *);

private:
	KSVG::SVGMouseEventImpl *newMouseEvent(KSVG::SVGEventImpl::EventId id, QMouseEvent *event);

	KSVG::SVGDocumentImpl *m_doc;
	KSVG::KSVGCanvas *m_canvas;
};

#endif

